LibOFX: messages.hh File Reference

Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# fx-0.8.0/lib/messages.hh File Reference

## Detailed Description

Message IO functionality.

Definition in file fx-0.8.0/lib/messages.hh.

Go to the source code of this file.

## Enumerations
enum | OfxMsgType { DEBUG, DEBUG1, DEBUG2, DEBUG3, DEBUG4, DEBUG5, STATUS = 10, INFO, WARNING, ERROR, PARSER }
## Functions
int | message_out (OfxMsgType type, const string message)
| Message output function.

## Enumeration Type Documentation

enum OfxMsgType

  | The OfxMsgType enum describe's the type of message being sent, so the application/user/library can decide if it will be printed to stdout Enumeration values:
  DEBUG | General debug messages
  DEBUG1 | Debug level 1
  DEBUG2 | Debug level 2
  DEBUG3 | Debug level 3
  DEBUG4 | Debug level 4
  DEBUG5 | Debug level 5
  STATUS | For major processing event (End of parsing, etc.)
  INFO | For minor processing event
  WARNING | Warning message
  ERROR | Error message
  PARSER | Parser events
Definition at line 23 of file fx-0.8.0/lib/messages.hh.

## Function Documentation

int message_out | ( | OfxMsgType | error_type,
|  | const string | message
| ) |

| Message output function. Prints a message to stdout, if the corresponding message OfxMsgType given in the parameters is enabled Definition at line 58 of file messages.cpp. Referenced by OfxStatusContainer::add_attribute(), OfxDummyContainer::add_attribute(), OfxInvestmentTransactionContainer::add_attribute(), OfxGenericContainer::add_attribute(), OFXApplication::data(), OFCApplication::data(), OFXApplication::endElement(), OFCApplication::endElement(), OFXApplication::error(), OFCApplication::error(), find_dtd(), OfxMainContainer::gen_event(), libofx_detect_file_type(), libofx_proc_buffer(), ofc_proc_sgml(), ofx_proc_file(), ofx_proc_sgml(), ofxdate_to_time_t(), OFXApplication::openEntityChange(), OFCApplication::openEntityChange(), sanitize_proprietary_tags(), OFXApplication::startElement(), OFCApplication::startElement(), and strip_whitespace().